Bug 1203132 - Review Request: php-pecl-json-post - JSON POST handler
Review Request: php-pecl-json-post - JSON POST handler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-18 04:27 EDT by Remi Collet
Modified: 2015-05-10 19:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-pecl-json-post-1.0.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-08 03:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (7.22 KB, text/plain)
2015-04-25 17:43 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-03-18 04:27:36 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/2e6d2ecdb469339edf726697177965c97c6fb612/php/pecl/php-pecl-json-post/php-pecl-json-post.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-json-post-1.0.0-2.remi.src.rpm
Description: 
This extension provides a PHP content type handler for "text/json" to PHP's
form data parser. If the `Content-Type` of an incoming request is `text/json`,
the JSON contents of the request body will by parsed into `$_POST`.

This extension does not provide any constants, functions or classes.

Fedora Account System Username: remi


--

This extension is a split off pecl/http, so the conflicts with version < 2.4.
Version 2.4 will require this extension for smooth update in fedora < 22.
Comment 1 Remi Collet 2015-03-18 04:46:09 EDT
Here is the update for pecl_http 2.4 (in my repo)

https://github.com/remicollet/remirepo/commit/0854ec65074feb8b0654e76e78a34285a1b90a65
Comment 2 Shawn Iwinski 2015-04-25 17:43:59 EDT
Created attachment 1018903 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1203132
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2015-04-25 17:44:41 EDT
No blockers.


===== APPROVED =====
Comment 4 Remi Collet 2015-04-26 02:49:21 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-pecl-json-post
Short Description: JSON POST handler
Upstream URL: http://pecl.php.net/package/json_post
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-04-26 11:55:23 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-04-26 12:52:06 EDT
php-pecl-json-post-1.0.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-pecl-json-post-1.0.0-2.fc22
Comment 7 Fedora Update System 2015-04-26 12:53:15 EDT
php-pecl-json-post-1.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-pecl-json-post-1.0.0-2.fc21
Comment 8 Fedora Update System 2015-04-28 08:59:54 EDT
Package php-pecl-json-post-1.0.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pecl-json-post-1.0.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7012/php-pecl-json-post-1.0.0-2.fc21
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-05-08 03:26:00 EDT
php-pecl-json-post-1.0.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-05-10 19:53:36 EDT
php-pecl-json-post-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.